<div class="sansserif login-container">
  <form (ngSubmit)="onSubmit()" [formGroup]="formGroup">
    <div class="p-grid center-container">
      <div class="p-col-12">
        <app-control-change-data [controlName]="'login'" [controlType]="'TEXT'" [errorKeys]="['required']"
                                 [labelValue]="'Login:'"
                                 [parentForm]="formGroup">
        </app-control-change-data>
      </div>
      <div class="p-col-12">
        <app-control-change-data [controlName]="'password'" [controlType]="'TEXT_PASSWORD'" [errorKeys]="['required']"
                                 [labelValue]="'Password:'"
                                 [parentForm]="formGroup">
        </app-control-change-data>
      </div>
    </div>
    <div class="p-d-flex p-jc-center">
      <div class="p-mr-2">
        <button label="Submit" pButton type="submit"></button>
      </div>
    </div>
  </form>
</div>
